Get balances for an account
Retrieve current asset balances for a specific connected account as a flat list (one row per assetId, balanceType).
Note: This endpoint is currently in beta and might be subject to changes.
GET
TypeScript
Path Parameters
The ID of the account to fetch balances for.
Minimum string length:
1Query Parameters
Page size for pagination.
Required range:
1 <= x <= 1000Page cursor for pagination.
Response
Account balances response
Flat balance row for a single asset within an account and wallet type. One row per (assetId, balanceType).
Example:
[
{
"assetId": "BTC",
"availableAmount": "100.00",
"totalAmount": "120.00",
"balanceType": "FUNDING",
"balanceName": "Trader1 Wallet"
}
]Total number of balance rows by query.
Example:
2
A cursor for the next page of results, if available.
Example:
"eyJwYWdlIjoyfQ=="
Previous
Get exchange rates for an accountRetrieve current exchange rates for converting between specific assets in a connected account.
**Note:** This endpoint is currently in beta and might be subject to changes.
Next
TypeScript